Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFFormXObject

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.AbstractPDFStream
                  org.apache.fop.pdf.PDFXObject
                      org.apache.fop.pdf.PDFFormXObject

All Implemented Interfaces:
  PDFWritable

public class PDFFormXObject
extends PDFXObject

PDF Form XObject A derivative of the PDFXObject, is a PDF Stream that has not only a dictionary but a stream of image data.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`DATE_FORMAT, log`

Constructor Summary
`PDFFormXObject(int xnumber, PDFStream contents, PDFReference resources)` create a FormXObject with the given number and name and load the image in the object

Method Summary
`java.awt.geom.Rectangle2D` | `getBBox()` Returns the bounding box.
`java.awt.geom.AffineTransform` | `getMatrix()` Returns the Matrix value.
`protected int` | `output(java.io.OutputStream stream)` Overload the base object method so we don't have to copy byte arrays around so much Write the PDF represention of this object
`protected void` | `outputRawStreamData(java.io.OutputStream out)` Sends the raw stream data to the target OutputStream.
`protected void` | `populateStreamDict(java.lang.Object lengthEntry)` Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.
`void` | `setBBox(java.awt.geom.Rectangle2D bbox)` Sets the bounding box of the Form XObject.
`void` | `setData(byte[] data)` Used to set the contents of the PDF stream.
`void` | `setMatrix(java.awt.geom.AffineTransform at)` Sets the Matrix value

Methods inherited from class org.apache.fop.pdf.PDFXObject
`getName, getSizeHint`

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, getDefaultFilterName, getFilterList, outputStreamData, prepareImplicitFilters, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatDateTime, formatDateTime, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFormXObject

    public PDFFormXObject(int xnumber,
                          PDFStream contents,
                          PDFReference resources)

  create a FormXObject with the given number and name and load the image in the object

Parameters:
  `xnumber` - the pdf object X number
  `contents` - the form's contents
  `resources` - the resource PDF reference

Method Detail

### setBBox

    public void setBBox(java.awt.geom.Rectangle2D bbox)

  Sets the bounding box of the Form XObject.

  Parameters:
    `bbox` - the bounding box

### getBBox

    public java.awt.geom.Rectangle2D getBBox()

  Returns the bounding box.

  Returns:
    the BBox value

### setMatrix

    public void setMatrix(java.awt.geom.AffineTransform at)

  Sets the Matrix value

  Parameters:
    `at` - the AffineTransform defining the transformation matrix

### getMatrix

    public java.awt.geom.AffineTransform getMatrix()

  Returns the Matrix value.

  Returns:
    the Matrix

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Used to set the contents of the PDF stream.

  Parameters:
    `data` - the contents as a byte array
  Throws:
    `java.io.IOException` - in case of an I/O problem

### outputRawStreamData

    protected void outputRawStreamData(java.io.OutputStream out)
                                throws java.io.IOException

  Sends the raw stream data to the target OutputStream.

  Specified by:
    `outputRawStreamData` in class `AbstractPDFStream`
  Parameters:
    `out` - OutputStream to write to
  Throws:
    `java.io.IOException` - In case of an I/O problem

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  Overload the base object method so we don't have to copy byte arrays around so much Write the PDF represention of this object

  Overrides:
    `output` in class `AbstractPDFStream`
  Throws:
    `java.io.IOException`

### populateStreamDict

    protected void populateStreamDict(java.lang.Object lengthEntry)

  Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.

  Overrides:
    `populateStreamDict` in class `PDFXObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.